; --------------------------------------------------------------------------- ;
; Shared Class Facility configuration file
; This is a manually maintained file: each time you create a shared class,
; you have to manually fill entries for all OSes your class works on.
;
; The format of this file is pretty simple:
; <ClassName> = <Shared library filename>
; --------------------------------------------------------------------------- ;

; -------------------------- Crystal Space Kernel --------------------------- ;

; Crystal Space Virtual File System
crystalspace.kernel.vfs = vfs

; -------------------------- Crystal Space Engines -------------------------- ;

; Crystal Space 3D Engine
crystalspace.engine.3d = engine:crystalspace.kernel., crystalspace.graphics3d., crystalspace.graphic.image.io.
; Crystal Space Isometric Engine
crystalspace.engine.iso = iso:crystalspace.kernel., crystalspace.graphics3d., crystalspace.graphics2d.

; Dynamic Visibility System
crystalspace.culling.dynavis = dynavis
; Simple Frustum Visibility System
crystalspace.culling.frustvis = frustvis

; -------------------------- Video Canvas Plugins --------------------------- ;

; Ascii Art 2D graphics driver for Crystal Space
crystalspace.graphics2d.asciiart = asciiart:crystalspace.font.server.
; Crystal Space 2D driver for X-Windows
crystalspace.graphics2d.x2d = x2d:crystalspace.font.server.
; X-Windows 2D graphics driver (line3d) for Crystal Space
crystalspace.graphics2d.linex2d = linex2d:crystalspace.font.server.
; Crystal Space 2D driver for OpenGL using GL/X
crystalspace.graphics2d.glx = glx2d:crystalspace.font.server.
; Crystal Space 2D driver for SVGALib
crystalspace.graphics2d.svgalib = svga2d:crystalspace.font.server.
; Crystal Space 2D driver for MacOS/X (Cocoa)
crystalspace.graphics2d.cocoa = cocoa2d:crystalspace.font.server.
; Crystal Space 2D driver for MacOS/X (CoreGraphics)
crystalspace.graphics2d.coregraphics = cgdriver2d:crystalspace.font.server
; Crystal Space 2D driver for MacOS/X (OpenGL)
crystalspace.graphics2d.glosx = glosx2d:crystalspace.font.server
; Crystal Space 2D OpenGL graphics driver for Win32
crystalspace.graphics2d.glwin32 = glwin32:crystalspace.font.server.
; Crystal Space 2D DirectDraw driver
crystalspace.graphics2d.directdraw = ddraw2d:crystalspace.font.server.
; SVGA Displaydriver for Crystal Space GL/X
crystalspace.graphics2d.glx.disp.svga = oglsvga:crystalspace.font.server.
; Infinite 2D graphics driver for Crystal Space
crystalspace.graphics2d.infinite = inf3d:crystalspace.font.server.
; Simple Direct Media Layer 2D graphics driver for Crystal Space
crystalspace.graphics2d.sdl2d = sdl2d:crystalspace.font.server.
; Null 3d graphics driver for Crystal Space
crystalspace.graphics2d.null2d = null2d:crystalspace.font.server.
; Crystal Space Image Exporter
crystalspace.graphics2d.memory = memory:crystalspace.font.server.

; -------------------------- Window Plugins --------------------------------- ;
; X-Window plugin for Crystal Space
crystalspace.window.x = xwin
; X-Window extension shared memory plugin
crystalspace.window.x.extshm = xextshm
; X-Window extension video mode plugin
crystalspace.window.x.extf86vm = xext86vm

; ------------------------- 3D Video Renderer Plugins ----------------------- ;

; Software 3D graphics driver for Crystal Space
crystalspace.graphics3d.software = soft3d:crystalspace.font.server.
; Line 3D graphics driver for Crystal Space
crystalspace.graphics3d.line = line3d:crystalspace.font.server.
; OpenGL 3D graphics driver for Crystal Space
crystalspace.graphics3d.opengl = gl3d:crystalspace.font.server.
; Infinite 3D graphics driver for Crystal Space
crystalspace.graphics3d.infinite = inf3d:crystalspace.font.server.
; NULL 3D graphics driver for Crystal Space
crystalspace.graphics3d.null = null3d:crystalspace.font.server.

; ----------------------------- Video Effect System ------------------------- ;

; Effects system
crystalspace.video.effects.stdserver = effects

; ----------------------------- Network Drivers ----------------------------- ;

; Crystal Space BSD Sockets Network Driver
crystalspace.network.driver.sockets = cssocket
crystalspace.network.driver.sockets2 = ensocket

; Crystal Space Standard Network Manager
crystalspace.network.manager.standard = netman

; ------------------------------- Sound Drivers ----------------------------- ;

; Crystal Space waveOut Sound Driver
crystalspace.sound.driver.waveout = sndwaveout
; Crystal Space ALSA Sound Driver
crystalspace.sound.driver.alsa = alsadrv
; Crystal Space OSS Sound Driver
crystalspace.sound.driver.oss = ossdrv
; Crystal Space CoreAudio sound driver for MacOS/X
crystalspace.sound.driver.coreaudio = casnddrv
; Software Sound Renderer for Crystal Space
crystalspace.sound.render.software = sndsoft
; Crystal Space DirectSound3D Sound Render
crystalspace.sound.render.ds3d = sndds3d
; EAX on Direct Sound Driver for Crystal Space
crystalspace.sound.render.eax = sndeax
; OpenAL 3D Sound Driver for Crystal Space
crystalspace.sound.render.openal = sndoal

; AIFF Sound Loader
crystalspace.sound.loader.aiff = sndaiff
; AU Sound Loader
crystalspace.sound.loader.au = sndau
; IFF Sound Loader
crystalspace.sound.loader.iff = sndiff
; Sound Loader Multiplexer
crystalspace.sound.loader.multiplexer = sndplex:crystalspace.sound.loader.
; WAV Sound Loader
crystalspace.sound.loader.wav = sndwav
; Ogg Vorbis Sound Loader
crystalspace.sound.loader.ogg = sndogg
; MikMod Sound Loader
crystalspace.sound.loader.mod = sndmod

; ------------------------------- Font Servers ------------------------------ ;

; CrystalSpace default font server
crystalspace.font.server.default = csfont
; Private X-Windows font server for LineX2D canvas
crystalspace.font.server.linex2d = linex2d
; Crystal Space font server multiplexor
crystalspace.font.server.multiplexer = fontplex:crystalspace.font.server.
; Crystal Space FreeType2 font server
crystalspace.font.server.freetype2 = freefnt2

; ------------------------------ Console Plugins ---------------------------- ;

; Crystal Space standard input console
crystalspace.console.input.standard = csconin
; Crystal Space standard output console
crystalspace.console.output.standard = csconout:crystalspace.kernel., crystalspace.graphics3d., crystalspace.graphics2d.
; Crystal Space simple output console
crystalspace.console.output.simple = simpcon:crystalspace.kernel., crystalspace.graphics3d., crystalspace.graphics2d.
; Crystal Space fancy output console
crystalspace.console.output.fancy = fancycon:crystalspace.kernel., crystalspace.graphics3d., crystalspace.graphics2d.

; ------------------------------- Mesh Plugins ------------------------------ ;

; Crystal Space Sprite2D Mesh Type
crystalspace.mesh.object.sprite.2d = spr2d
; Crystal Space Sprite2D Mesh Factory Loader
crystalspace.mesh.loader.factory.sprite.2d = spr2dldr
; Crystal Space Sprite2D Mesh Loader
crystalspace.mesh.loader.sprite.2d = spr2dldr
; Crystal Space Sprite2D Mesh Factory Saver
crystalspace.mesh.saver.factory.sprite.2d = spr2dldr
; Crystal Space Sprite2D Mesh Saver
crystalspace.mesh.saver.sprite.2d = spr2dldr

; Crystal Space Sprite3D Mesh Type
crystalspace.mesh.object.sprite.3d = spr3d
; Crystal Space Sprite3D Mesh Factory Loader
crystalspace.mesh.loader.factory.sprite.3d = spr3dldr
; Crystal Space Sprite3D Mesh Loader
crystalspace.mesh.loader.sprite.3d = spr3dldr
; Crystal Space Sprite3D Mesh Factory Saver
crystalspace.mesh.saver.factory.sprite.3d = spr3dldr
; Crystal Space Sprite3D Mesh Saver
crystalspace.mesh.saver.sprite.3d = spr3dldr
; Crystal Space Sprite3DBin Mesh Factory Loader
crystalspace.mesh.loader.factory.sprite.3d.binary = spr3dbin
; Crystal Space Sprite3DBin Mesh Factory Saver
crystalspace.mesh.saver.factory.sprite.3d.binary = spr3dbin

; Crystal Space Ball Mesh Type
crystalspace.mesh.object.ball = ball
; Crystal Space Ball Factory Loader
crystalspace.mesh.loader.factory.ball = ballldr
; Crystal Space Ball Mesh Loader
crystalspace.mesh.loader.ball = ballldr
; Crystal Space Ball Factory Saver
crystalspace.mesh.saver.factory.ball = ballldr
; Crystal Space Ball Mesh Saver
crystalspace.mesh.saver.ball = ballldr

; Crystal Space Explosion Mesh Type
crystalspace.mesh.object.explosion = explo
; Crystal Space Explosion Factory Loader
crystalspace.mesh.loader.factory.explosion = exploldr
; Crystal Space Explosion Mesh Loader
crystalspace.mesh.loader.explosion = exploldr
; Crystal Space Explosion Factory Saver
crystalspace.mesh.saver.factory.explosion = exploldr
; Crystal Space Explosion Mesh Saver
crystalspace.mesh.saver.explosion = exploldr

; Crystal Space Fire Mesh Type
crystalspace.mesh.object.fire = fire
; Crystal Space Fire Factory Loader
crystalspace.mesh.loader.factory.fire = fireldr
; Crystal Space Fire Mesh Loader
crystalspace.mesh.loader.fire = fireldr
; Crystal Space Fire Factory Saver
crystalspace.mesh.saver.factory.fire = fireldr
; Crystal Space Fire Mesh Saver
crystalspace.mesh.saver.fire = fireldr

; Crystal Space Fountain Mesh Type
crystalspace.mesh.object.fountain = fountain
; Crystal Space Fountain Factory Loader
crystalspace.mesh.loader.factory.fountain = fountldr
; Crystal Space Fountain Mesh Loader
crystalspace.mesh.loader.fountain = fountldr
; Crystal Space Fountain Factory Saver
crystalspace.mesh.saver.factory.fountain = fountldr
; Crystal Space Fountain Mesh Saver
crystalspace.mesh.saver.fountain = fountldr

; Crystal Space Rain Mesh Type
crystalspace.mesh.object.rain = rain
; Crystal Space Rain Factory Loader
crystalspace.mesh.loader.factory.rain = rainldr
; Crystal Space Rain Mesh Loader
crystalspace.mesh.loader.rain = rainldr
; Crystal Space Rain Factory Saver
crystalspace.mesh.saver.factory.rain = rainldr
; Crystal Space Rain Mesh Saver
crystalspace.mesh.saver.rain = rainldr

; Crystal Space Snow Mesh Type
crystalspace.mesh.object.snow = snow
; Crystal Space Snow Factory Loader
crystalspace.mesh.loader.factory.snow = snowldr
; Crystal Space Snow Mesh Loader
crystalspace.mesh.loader.snow = snowldr
; Crystal Space Snow Factory Saver
crystalspace.mesh.saver.factory.snow = snowldr
; Crystal Space Snow Mesh Saver
crystalspace.mesh.saver.snow = snowldr

; Crystal Space Spiral Mesh Type
crystalspace.mesh.object.spiral = spiral
; Crystal Space Spiral Factory Loader
crystalspace.mesh.loader.factory.spiral = spirldr
; Crystal Space Spiral Mesh Loader
crystalspace.mesh.loader.spiral = spirldr
; Crystal Space Spiral Factory Saver
crystalspace.mesh.saver.factory.spiral = spirldr
; Crystal Space Spiral Mesh Saver
crystalspace.mesh.saver.spiral = spirldr

; Crystal Space Thing Mesh Type
crystalspace.mesh.object.thing = thing
; Crystal Space Thing Mesh Factory Loader
crystalspace.mesh.loader.factory.thing = thingldr
; Crystal Space Thing Mesh Factory Saver
crystalspace.mesh.saver.factory.thing = thingldr
; Crystal Space Thing Mesh Loader
crystalspace.mesh.loader.thing = thingldr
; Crystal Space Thing Mesh Saver
crystalspace.mesh.saver.thing = thingldr
; Crystal Space Thing Plane Loader
crystalspace.mesh.loader.thing.plane = thingldr
; Crystal Space Thing Plane Saver
crystalspace.mesh.saver.thing.plane = thingldr

; Crystal Space Stars Mesh Type
crystalspace.mesh.object.stars = stars
; Crystal Space Star Factory Loader
crystalspace.mesh.loader.factory.stars = starldr
; Crystal Space Star Factory Saver
crystalspace.mesh.saver.factory.stars = starldr
; Crystal Space Star Mesh Loader
crystalspace.mesh.loader.stars = starldr
; Crystal Space Star Mesh Saver
crystalspace.mesh.saver.stars = starldr

; Crystal Space Haze Mesh Type
crystalspace.mesh.object.haze = haze
crystalspace.mesh.loader.factory.haze = hazeldr
; Crystal Space Haze Factory Saver
crystalspace.mesh.saver.factory.haze = hazeldr
; Crystal Space Haze Mesh Loader
crystalspace.mesh.loader.haze = hazeldr
; Crystal Space Haze Mesh Saver
crystalspace.mesh.saver.haze = hazeldr

; Crystal Space Emit Mesh Type
crystalspace.mesh.object.emit = emit
; Crystal Space Emit Factory Loader
crystalspace.mesh.loader.factory.emit = emitldr
; Crystal Space Emit Factory Saver
crystalspace.mesh.saver.factory.emit = emitldr
; Crystal Space Emit Mesh Loader
crystalspace.mesh.loader.emit = emitldr
; Crystal Space Emit Mesh Saver
crystalspace.mesh.saver.emit = emitldr

; Metaball mesh object for crystal space
crystalspace.mesh.object.metaball = metaball
; Crystal Space MetaBall Factory Loader
crystalspace.mesh.loader.factory.metaball = mballldr
; Crystal Space MetaBall Mesh Loader
crystalspace.mesh.loader.metaball = mballldr
; Crystal Space MetaBall Factory Saver
crystalspace.mesh.saver.factory.metaball = mballldr
; Crystal Space MetaBall Mesh Saver
crystalspace.mesh.saver.metaball = mballldr

; MetaGen Mesh factory for crystal space
crystalspace.mesh.factory.metagen = metagen

; Crystal Space Function Terrain Mesh Type
crystalspace.mesh.object.terrfunc = terrfunc
; Crystal Space Function Terrain Factory Loader
crystalspace.mesh.loader.factory.terrfunc = terrfldr
; Crystal Space Function Terrain Loader
crystalspace.mesh.loader.terrfunc = terrfldr

; Crystal Space Big Terrain Mesh Type
crystalspace.mesh.object.terrbig = terrbig
; Crystal Space Big Terrain Factory Loader
crystalspace.mesh.loader.factory.terrbig = terrldr
; Crystal Space Big Terrain Loader
crystalspace.mesh.loader.terrbig = terrldr

; Crystal Space Bezier Curve Terrain Mesh Type
crystalspace.mesh.object.bcterr = bcterr
; Crystal Space Bezier Curve Terrain Factory Loader
crystalspace.mesh.loader.factory.bcterr = bcterrldr
; Crystal Space Bezier Curve Terrain Loader
crystalspace.mesh.loader.bcterr = bcterrldr

; Crystal Space General Mesh Type
crystalspace.mesh.object.genmesh = genmesh
; Crystal Space General Mesh Factory Loader
crystalspace.mesh.loader.factory.genmesh = gmeshldr
; Crystal Space General Mesh Factory Saver
crystalspace.mesh.saver.factory.genmesh = gmeshldr
; Crystal Space General Mesh Mesh Loader
crystalspace.mesh.loader.genmesh = gmeshldr
; Crystal Space General Mesh Mesh Saver
crystalspace.mesh.saver.genmesh = gmeshldr
; Crystal Space General/Tree Mesh Factory Loader
crystalspace.mesh.loader.factory.genmesh.tree = gtreeldr
; CrystalSpace Cloth mesh object type
crystalspace.mesh.object.cloth = cloth

; Crystal Space Null Mesh Type
crystalspace.mesh.object.nullmesh = nullmesh

; ------------------------- Image Loader/Saver Plugins ---------------------- ;

; Image file format multiplex plug-in.
crystalspace.graphic.image.io.multiplex = imgplex
; CrystalSpace BMP image format I/O plugin
crystalspace.graphic.image.io.bmp = csbmpimg
; CrystalSpace GIF image format I/O plugin
crystalspace.graphic.image.io.gif = csgifimg
; CrystalSpace JPG image format I/O plugin
crystalspace.graphic.image.io.jpg = csjpgimg
; CrystalSpace PNG image format I/O plugin
crystalspace.graphic.image.io.png = cspngimg
; CrystalSpace SGI image format I/O plugin
crystalspace.graphic.image.io.sgi = cssgiimg
; CrystalSpace TGA image format I/O plugin
crystalspace.graphic.image.io.tga = cstgaimg
; CrystalSpace WAL image format I/O plugin
crystalspace.graphic.image.io.wal = cswalimg
; CrystalSpace JNG image format I/O plugin
crystalspace.graphic.image.io.jng = csjngimg

; ------------------------- Model Converter Plugins ---------------------- ;

; Multiplexer for Model Converters
crystalspace.modelconverter.multiplexer = ieplex
; 3ds Model Converter
crystalspace.modelconverter.3ds = ie3ds
; ASE Model Converter
crystalspace.modelconverter.ase = aseie
; MDL Model Converter
crystalspace.modelconverter.mdl = mdlie
; MD2 Model Converter
crystalspace.modelconverter.md2 = md2ie
; OBJ Model Converter
crystalspace.modelconverter.obj = objie
; POV Model Converter
crystalspace.modelconverter.pov = povie
; SPR Model Converter
crystalspace.modelconverter.spr = sprie

; Modeldata-to-Meshobject cross builder
crystalspace.mesh.crossbuilder = crossbld

; ---------------------------Video Animation Plugins ----------------------- ;

; CrystalSpace AVI format interface
crystalspace.video.format.avi = csavi
; CrystalSpace OpenDivX codec
crystalspace.video.codec.avi.dvx1 = odivx
; CrystalSpace OpenDivX codec
crystalspace.video.codec.avi.divx = odivx4
; CrystalSpace RLE codec
crystalspace.video.codec.avi.rle = rlecodec
; CrystalSpace RLE codec
crystalspace.video.codec.avi.mrle = rlecodec

; ------------------------------- Other Plugins ----------------------------- ;

; Level and library file loader
crystalspace.level.loader = csparser:crystalspace.kernel., crystalspace.sound.loader., crystalspace.image.loader, crystalspace.mesh.loader., crystalspace.engine.3d, crystalspace.graphics3d., crystalspace.sound.render., crystalspace.motion.manager., crystalspace.mesh.crossbuilder, crystalspace.modelconverter.

; Crystal Space loader services for textual CS syntax
crystalspace.syntax.loader.service.text = cssynldr

; Level and library file saver
crystalspace.level.saver = cssaver:crystalspace.kernel.,

; Performance statistics utility
crystalspace.utilities.perfstat = perfstat

; Debugging utility
crystalspace.utilities.bugplug = bugplug

; Reporting utility
crystalspace.utilities.reporter = reporter
; Standard Reporter Listener
crystalspace.utilities.stdrep = stdrep:crystalspace.utilities.reporter, crystalspace.console.output.

; Crystal Space Scripting
crystalspace.script.python = cspython
crystalspace.script.perl5 = csperl5
crystalspace.script.lua = cslua

; CrystalSpace RAPID CD System
crystalspace.collisiondetection.rapid = rapid
; Crystal Space OPCODE CD System
crystalspace.collisiondetection.opcode = opcode

; Sequence Manager
crystalspace.utilities.sequence = sequence
; Engine Sequence Manager
crystalspace.utilities.sequence.engine = engseq

; Skeletal Motion Manager for Crystal Space
crystalspace.motion.manager.default = motion
; Skeletal MotionLoader for Crystal Space
crystalspace.motion.loader.default = motldr
; Skeletal Motion Manager Saver for Crystal Space
crystalspace.motion.saver.default = motldr

;Crystal space alternate window manager
crystalspace.window.alternatemanager = aws
crystalspace.window.preferencemanager = aws
crystalspace.window.sinkmanager = aws
; Crystal Space Joystick plugin for Linux
crystalspace.device.joystick.linux = csjoylin
; iso engine level and library loader
crystalspace.iso.loader = isoload:crystalspace.kernel., crystalspace.mesh.loader., crystalspace.engine.3d, crystalspace.graphics3d., crystalspace.engine.iso, crystalspace.syntax.loader.service.text

; ODE physics
crystalspace.dynamics.ode = odedynam
; Crystal Space dynamics loader
crystalspace.dynamics.loader = physldr

; OpenGL Render3D graphics driver for Crystal Space
crystalspace.render3d.opengl = glrender3d:crystalspace.font.server.
; Shader manager
crystalspace.render3d.shadermanager = shadermgr
; OpenGL specific shaderprogram provider for Render3D
crystalspace.render3d.shader.glarb = glshader_arb:
; OpenGL specific shaderprogram provider for Render3D
crystalspace.render3d.shader.glcg = glshader_cg:
; DDS image format I/O plugin
crystalspace.graphic.image.io.dds = csddsimg
; libxml2 parser
crystalspace.documentsystem.xml = xml



; Bonez Mixer Plugin
crystalspace.bonez.mixer = bosndmix

; Bonez Video Plugin
crystalspace.bonez.video = bovid